/*
============================================================================
 Name        : SyMazeDocument.h
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Declares document class for application.
============================================================================
*/

#ifndef SYMAZEDOCUMENT_H
#define SYMAZEDOCUMENT_H


#include <akndoc.h>

class  CEikAppUi;

class CSyMazeDocument : public CAknDocument
    {
    public:

        // Two-phased constructor.
        static CSyMazeDocument* NewL(CEikApplication& aApp);

        // Destructor.
        virtual ~CSyMazeDocument();

    private:
    
        // EPOC default constructor.
        CSyMazeDocument(CEikApplication& aApp);
        void ConstructL();

    private:
    
        // From CEikDocument, create CSyMazeAppUi "App UI" object.
        CEikAppUi* CreateAppUiL();
    };

#endif



