/*
============================================================================
 Name        : GameRenderer.h
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Game renderer export routines
============================================================================
*/
#ifndef GAMERENDERER_H_
#define GAMERENDERER_H_

#include "GameWorld.h"
#include "GameControl.h"
#include "EGLTextureHelper.h"

extern void InitRenderer(CEGLTextureHelper* aTextureHelper);
void DestroyRenderer();
extern void RenderFrame(int frame, CGameState& gameState, TGameStatus status);



#endif /*GAMERENDERER_H_*/
